## org.biojava.bio.program.tagvalue
Class RegexChanger

    java.lang.Object
      org.biojava.bio.program.tagvalue.RegexChanger

All Implemented Interfaces:
  ChangeTable.Changer

    public class RegexChanger

extends Object
implements ChangeTable.Changer

A ValueChanger.Changer that returns a specific match value using a regex Pattern.

Since:
  1.3
Author:
  Matthew Pocock

Constructor Summary
`RegexChanger(Pattern pattern, int matchGroup)` Create a new RegexChanger with a pattern.

Method Summary
`Object` `change(Object value)` Produce a modified value from an old value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexChanger

    public RegexChanger(Pattern pattern,
                        int matchGroup)

  Create a new RegexChanger with a pattern.

  Parameters:
    `pattern` - the Pattern used to split values
    `matchGroup` - the group to pull out - use 0 to pull out the whole match

Method Detail

### change

    public Object change(Object value)
                  throws ParserException

  Description copied from interface: `ChangeTable.Changer`

  Produce a modified value from an old value.

  It is strongly recommended that this method is re-entrant and does not modify the state of the Changer in a way that would affect future return -values.

  Specified by:
    `change` in interface `ChangeTable.Changer`
  Parameters:
    `value` - the old value Object
  Returns:
    the new value Object
  Throws:
    `ParserException` - if value could not be changed